.div{"ng-controller" => "ReportCtrl as rpt", :class => "reports", :id => "reports"}
  .panel.panel-default
    .panel-heading
      %h4.text-primary Reports

      %fieldset
        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.district", "ng-options" => "district.name for district in districts track by district.id", :class => "form-control", "ng-change" => "get_sub_water_sheds()"}
            %option{:value=>'', :selected => 'selected'} Select District

        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.sub_water_shed", "ng-options" => "(sub_water_shed.name +' - '+sub_water_shed.code) for sub_water_shed in sub_water_sheds track by sub_water_shed.id", :class => "form-control","ng-change" => "get_micro_water_sheds()"}
            %option{:value=>'', :selected => 'selected'} Select Sub Water Shed

        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.micro_water_shed", "ng-options" => "(micro_water_shed.name + ' - '+micro_water_shed.code) for micro_water_shed in micro_water_sheds track by micro_water_shed.id", :class => "form-control"}
            %option{:value=>'', :selected => 'selected'} Select Micro water Shed

        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.rpt", "ng-options" => "rpt as rpt for rpt in report_list", :class => "form-control", "ng-change" => "report_dropdown()"}
            %option{:value=>'', :selected => 'selected'} Select Report Type

      %fieldset{"ng-show" => "btn_coc"}
        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.crop_list", "ng-options" => "crop_list.name for crop_list in crop_lists", :class => "form-control"}
            %option{:value=>'', :selected => 'selected'} Select Crop 

        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.inter_crop_list", "ng-options" => "inter_crop_list.name for inter_crop_list in intercrop_lists", :class => "form-control"}
            %option{:value=>'', :selected => 'selected'} Select Inter Crop

        .form-group{:class => "col-sm-3"}
          %select{"ng-model" => "vm.farmer_category", "ng-options" => "farmer_category for farmer_category in ['All', 'MF', 'SF', 'SMF', 'MDF', 'LF']", :class => "form-control"}
            %option{:value=>'', :selected => 'selected'} Select Farmer Category           

      .btn.btn-primary.btn-sm{ "ng-show" => "btn_topography", "ng-click" => "topography_btn()"} Topography
      .btn.btn-primary.btn-sm{ "ng-show" => "btn_smu", "ng-click" => "smu_btn()"} SMU
      .btn.btn-primary.btn-sm{ "ng-show" => "btn_category", "ng-click" => "category_btn()"} Category
      .btn.btn-primary.btn-sm{ "ng-show" => "btn_coc" , "ng-click" => "cultivation_cost()"} Get Report
      .btn.btn-primary.btn-sm{ "ng-show" => "btn_live_stock" , "ng-click" => "live_stock()"} Get Report

      /.pull-right 
      /  %h4 (n = {{farmer_count || 0 }})
  
  .panel.panel-default{"ng-show" => "topography"}
    .panel-body    
      .table-responsive
        %table.table.table-striped.table-bordered.table-hover
          %caption{:style => "border-bottom: 1px solid #eee"}
            %h4.text-primary {{report_name}} - Topography
          
          %thead
            %tr
              %th 
              %th
              %th.text-center{"ng-repeat" => "label in ['Landless', 'Ridge', 'Mid', 'Valley' ]", :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"}
                {{label}} ({{farmer_count[label] || 0}})
              %th.text-center{ :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"}
                All ({{farmer_count.Landless + farmer_count.Ridge + farmer_count.Mid + farmer_count.Valley  || 0}})

            %tr
              %th.text-center Sl.No.
              %th Particulars
              - 5.times do  
                %th.text-center{ "ng-hide" => "show_second"} {{ first_header_title || 'N' }}
                %th.text-center{ "ng-show" => "show_second"} Field
                %th.text-center{ "ng-hide" => "hide_percent"} %
                %th.text-center{ "ng-show" => "show_second"} Backyard
                %th.text-center{ "ng-show" => "show_days_column"} D (days)

          %tbody
            %tr{"ng-repeat" => "td in topography_data"}
              %td.text-center {{ $index + 1 }}
              %td.text-bold {{ td.name }}

              %td.text-center{"ng-repeat-start" => "label in ['Landless', 'Ridge', 'Mid', 'Valley' ]"}
                {{ td[label] || 0 | number: n_precesion }}
              %td.text-center{ "ng-hide" => "hide_percent"} {{ ( td[label] / td[label + '_total'] ) * 100 || 0 | number:2 }}
              %td.text-center{ "ng-show" => "show_days_column"} {{ td[label + "_total"] || 0 | number:0}}
              %td.text-center{ "ng-repeat-end" => true, "ng-show" => "show_second"} {{ td[label + "_total"] || 0 | number:0}}
              
              %td.text-center.text-primary.text-bold 
                {{ all_cal_topography(td) || 0 | number: n_precesion }}
              %td.text-center.text-primary{ "ng-hide" => "hide_percent"} 
                {{ all_percent_cal_topography(td) || 0 | number:2 }}
              %td.text-center{ "ng-show" => "show_second" } 
                {{ td.Landless_total + td.Valley_total + td.Mid_total + td.Ridge_total || 0 | number:0 }}
              %td.text-center{ "ng-show" => "show_days_column" } 
                {{ (td.Landless_total + td.Valley_total + td.Mid_total + td.Ridge_total)/(4) || 0 | number:0 }}

            %tr.text-center.text-primary.text-bold{ "ng-show" => "show_total"}
              %td{ :colspan => 2}= "{{vm.rpt == 'Average Annual gross income' ? 'Income(Rs.)' : 'Total'}}"
              %td {{ sum(topography_data, 'Landless')| number: n_precesion}}
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(topography_data, 'Ridge')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00  
              %td {{ sum(topography_data, 'Mid')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00  
              %td {{ sum(topography_data, 'Valley')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00  
              %td {{ sum(topography_data, 'Landless') + sum(topography_data, 'Ridge') + sum(topography_data, 'Mid') + sum(topography_data, 'Valley') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00 
            %tr.text-center.text-primary.text-bold{ "ng-show" => "population_average"}
              %td{ :colspan => 2} Average
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(topography_data, 'Landless')/farmer_count.Landless | number: 2}}
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(topography_data, 'Ridge')/farmer_count.Ridge | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(topography_data, 'Valley')/farmer_count.Valley | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(topography_data, 'Mid')/farmer_count.Mid | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ (sum(topography_data, 'Landless') + sum(topography_data, 'Ridge') + sum(topography_data, 'Mid') + sum(topography_data, 'Valley'))/(farmer_count.Landless + farmer_count.Ridge + farmer_count.Mid + farmer_count.Valley)  | number: 2}}  

  /.panel.panel-default{"ng-show" => "topography"}
  /  .panel-body
  /    %angular-chart{:options=>"topography_options", :instance=>"instance"}

  .panel.panel-default{"ng-show" => "category"}
    .panel-body    
      .table-responsive
        %table.table.table-striped.table-bordered.table-hover
          %caption{:style => "border-bottom: 1px solid #eee"}
            %h4.text-primary {{report_name}} - Category
          %thead
            %tr
              %th 
              %th 
              %th.text-center{"ng-repeat" => "label in ['LL', 'MF', 'SF', 'SMF', 'MDF', 'LF']", :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"} {{ label }} ({{ farmer_count[label] || 0 }})
              %th.text-center{ :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"}
                All ({{farmer_count.LL + farmer_count.MF + farmer_count.SF + farmer_count.SMF + farmer_count.MDF + farmer_count.LF || 0}})
            %tr
              %th.text-center Sl.No.
              %th Particulars
              - 7.times do  
                %th.text-center{ "ng-hide" => "show_second"} {{ first_header_title || 'N' }}
                %th.text-center{ "ng-show" => "show_second"} Field
                %th.text-center{ "ng-hide" => "hide_percent"} %
                %th.text-center{ "ng-show" => "show_second"} Backyard
                %th.text-center{ "ng-show" => "show_days_column"} D (days)

          %tbody
            %tr{"ng-repeat" => "sd in category_data"}
              %td.text-center {{ $index + 1 }}
              %td.text-bold {{ sd.name }}

              %td.text-center{"ng-repeat-start" => "label in ['LL', 'MF', 'SF', 'SMF', 'MDF', 'LF']"}
                {{ sd[label] || 0 | number: n_precesion }}
              %td.text-center{ "ng-hide" => "hide_percent"} {{ (sd[label] / sd[label + '_total'] ) * 100 || 0 | number:2 }}
              %td.text-center{ "ng-show" => "show_days_column"} {{ sd[label + "_total"] || 0 | number:0}}
              %td.text-center{ "ng-repeat-end" => true, "ng-show" => "show_second"} {{ sd[label + "_total"] || 0 | number:0}}

              %td.text-center.text-primary.text-bold 
                {{ all_cal_category(sd) || 0 | number: n_precesion  }}
              %td.text-center.text-primary{ "ng-hide" => "hide_percent"}
                {{ all_percent_cal_category(sd) || 0 | number:2}}
              %td.text-center{ "ng-show" => "show_second"} {{ sd.LL_total + sd.MF_total + sd.SF_total + sd.SMF_total + sd.MDF_total + sd.LF_total || 0 | number:0 }}
              %td.text-center{ "ng-show" => "show_days_column"} {{ (sd.LL_total + sd.MF_total + sd.SF_total + sd.SMF_total + sd.MDF_total + sd.LF_total) / (6) || 0 | number:0 }}
    
            %tr.text-center.text-primary.text-bold{ "ng-show" => "show_total"}
              %td{ :colspan => 2}= "{{vm.rpt == 'Average Annual gross income' ? 'Income(Rs.)' : 'Total'}}"
              %td {{ sum(category_data, 'LL')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00  
              %td {{ sum(category_data, 'MF')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00  
              %td {{ sum(category_data, 'SF')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00 
              %td {{ sum(category_data, 'SMF')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(category_data, 'MDF')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00 
              %td {{ sum(category_data, 'LF')| number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00 
              %td {{ (vm.rpt == 'Average Annual gross income' ? sum(category_data, 'all_average') : (sum(category_data, 'LL') + sum(category_data, 'MF') + sum(category_data, 'SF') + sum(category_data, 'SMF') + sum(category_data, 'MDF') + sum(category_data, 'LF')) ) | number: n_precesion  }}  
              %td{ "ng-hide" => "hide_percent"} 100.00 
            %tr.text-center.text-primary.text-bold{ "ng-show" => "population_average"}
              %td{ :colspan => 2} Average 
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'LL')/farmer_count.LL | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'MF')/farmer_count.MF | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'SF')/farmer_count.SF | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'SMF')/farmer_count.SMF | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'MDF')/farmer_count.MDF | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(category_data, 'LF')/farmer_count.LF | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ (sum(category_data, 'LL') + sum(category_data, 'MF') + sum(category_data, 'SF') + sum(category_data, 'SMF') + sum(category_data, 'MDF') + sum(category_data, 'LF'))/ (farmer_count.LL + farmer_count.MF + farmer_count.SF + farmer_count.SMF + farmer_count.MDF+ farmer_count.LF) | number:2}}  

  /.panel.panel-default{"ng-show" => "category"}
  /  .panel-body
  /    %angular-chart{:options=>"category_options", :instance=>"instance"}

  .panel.panel-default{"ng-show" => "smu"}
    .panel-body    
      .table-responsive
        %table.table.table-striped.table-bordered.table-hover
          %caption{:style => "border-bottom: 1px solid #eee"}
            %h4.text-primary {{report_name}} - SMU
          %thead
            %tr
              %th 
              %th 
              %th.text-center{"ng-repeat" => "label in ['Landless', 'LMU1', 'LMU2', 'LMU3', 'LMU4', 'LMU5', 'LMU6']", :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"} {{ label }} ({{ farmer_count[label] || 0 }})
              %th.text-center{ :colspan => "{{hide_percent ? (show_second ? 2 : show_days_column ? 2 : 1) : 2}}", :style => "color:#000"}
                All ({{farmer_count.Landless +farmer_count.LMU1 + farmer_count.LMU2 + farmer_count.LMU3 + farmer_count.LMU4 + farmer_count.LMU5 + farmer_count.LMU6}})  
            %tr
              %th.text-center Sl.No. 
              %th Particulars
              - 8.times do  
                %th.text-center{ "ng-hide" => "show_second"} {{ first_header_title || 'N' }}
                %th.text-center{ "ng-show" => "show_second"} Field
                %th.text-center{ "ng-hide" => "hide_percent"} %
                %th.text-center{ "ng-show" => "show_second"} Backyard
                %th.text-center{ "ng-show" => "show_days_column"} D (days)

          %tbody
            %tr{"ng-repeat" => "cd in smu_data"}
              %td.text-center {{ $index + 1 }}
              %td.text-bold {{ cd.name }}

              %td.text-center{"ng-repeat-start" => "label in ['Landless', 'LMU1', 'LMU2', 'LMU3', 'LMU4', 'LMU5', 'LMU6']"}
                {{ cd[label] || 0 | number: n_precesion }}
              %td.text-center{ "ng-hide" => "hide_percent"} {{ (cd[label] / cd[label + '_total'] ) * 100 || 0 | number:2 }}
              %td.text-center{ "ng-show" => "show_days_column"} {{ cd[label + "_total"] || 0 | number:0}}
              %td.text-center{ "ng-repeat-end" => true, "ng-show" => "show_second"} {{ cd[label + "_total"] || 0 | number:0}}

              %td.text-center.text-primary.text-bold 
                {{ all_cal_smu(cd)  || 0 | number: n_precesion}}
              %td.text-center.text-primary{ "ng-hide" => "hide_percent"} 
                {{ all_percent_cal_smu(cd) || 0 | number:2 }}
              %td.text-center{ "ng-repeat-end" => true, "ng-show" => "show_second"} {{ (cd.Landless_total + cd.LMU1_total  + cd.LMU2_total + cd.LMU3_total  + cd.LMU4_total + cd.LMU5_total  + cd.LMU6_total ) || 0 | number:0}}
              %td.text-center{ "ng-repeat-end" => true, "ng-show" => "show_days_column"} {{ (cd.Landless_total + cd.LMU1_total  + cd.LMU2_total + cd.LMU3_total  + cd.LMU4_total + cd.LMU5_total  + cd.LMU6_total )/(7) || 0 | number:0}}

            %tr.text-center.text-primary.text-bold{ "ng-show" => "show_total"}
              %td{ :colspan => 2}= "{{vm.rpt == 'Average Annual gross income' ? 'Income(Rs.)' : 'Total'}}"
              %td {{ sum(smu_data, 'Landless') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU1') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU2') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU3') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU4') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU5') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              %td {{ sum(smu_data, 'LMU6') | number: n_precesion}}  
              %td{ "ng-hide" => "hide_percent"} 100.00
              - 
              %td {{ sum(smu_data, 'Landless') + sum(smu_data, 'LMU1') + sum(smu_data, 'LMU2') + sum(smu_data, 'LMU3') + sum(smu_data, 'LMU4') + sum(smu_data, 'LMU5') + sum(smu_data, 'LMU6') | number: n_precesion }}
              %td{ "ng-hide" => "hide_percent"} 100.00 
            %tr.text-center.text-primary.text-bold{ "ng-show" => "population_average"}
              %td{ :colspan => 2} Average 
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'Landless')/farmer_count.Landless | number: 2}} 
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU1')/farmer_count.LMU1 | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU2')/farmer_count.LMU2 | number: 2}}
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU3')/farmer_count.LMU3 | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU4')/farmer_count.LMU4 | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU5')/farmer_count.LMU5 | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ sum(smu_data, 'LMU6')/farmer_count.LMU6 | number: 2}}  
              %td{ :colspan => "{{vm.rpt == 'Population characteristics of family members' ? 2 : 1}}" } {{ (sum(smu_data, 'Landless') + sum(smu_data, 'LMU1') + sum(smu_data, 'LMU2') + sum(smu_data, 'LMU3') + sum(smu_data, 'LMU4') + sum(smu_data, 'LMU5') + sum(smu_data, 'LMU6'))/(farmer_count.Landless + farmer_count.LMU1 + farmer_count.LMU2 + farmer_count.LMU3 + farmer_count.LMU4 + farmer_count.LMU5 + farmer_count.LMU6) | number:2 }}

  /.panel.panel-default{"ng-show" => "smu"}
  / .panel-body
  /    %angular-chart{:options=>"smu_options", :instance=>"instance"}

  %div{"ng-bind-html" => "cultivation_cost_template"}



